LASTLOG2(3)

NAME
lastlog2 - Y2038 safe version of lastlog library.

SYNOPSIS

#include <lastlog2.h>

DESCRIPTION

lastlog2 reports the last login of a given user or of all users who did ever login on a system.

It’s using sqlite3 as database backend. Data is only collected via a PAM module, so that all tools can make use of it, without modifying existing packages. The output is as compatible as possible with the old lastlog implementation. By default the database will be written as /var/lib/lastlog/lastlog2.db. The size of the database depends on the amount of users, not how big the biggest UID is.

AUTHORS

SEE ALSO

lastlog2(3), ll2_new_context(3), ll2_unref_context(3), ll2_write_entry(3), ll2_read_all(3), ll2_read_entry(3), ll2_update_login_time(3), ll2_remove_entry(3), ll2_rename_user(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from